package com.jeequan.jeepay.core.interfaces.paychannel;

import com.alibaba.fastjson.JSONObject;
import com.jeequan.jeepay.core.entity.MchApplyment;

/**
 * 斗拱 进件接口
 *
 * @author xiaoyu
 *
 * @date 2022/6/9 9:26
 */
public interface IDgApplymentApiService {

    /** 分账配置 **/
    MchApplyment dgpayConfigOpen(MchApplyment mchApplyment, JSONObject paramJSON);

    /** 分账配置查询 **/
    MchApplyment dgpayConfigOpenQuery(MchApplyment mchApplyment);

    /** 微信参数配置 **/
    MchApplyment wechatConfigSet(String isvNo, String mchNo, String appId, String jsapiPath, String feeType, String configWxBindLiteAppId, String configWxBindAppId, String bankChannelNo, String ifCode);

    /** 微信实名认证 **/
    MchApplyment wechatRealName(MchApplyment mchApplyment);
}
